<?php
header ("Content-Type:text/xml");

require_once('dbutils.php');
$users = new GenericSqliteTable("var/users.db","users");
$userToId = new GenericSqliteTable("var/userToId.db","userToId");

$userData = array();
if(isset($_GET['display_name']))
{
	$user_id = Null;
	if(isset($userToId[$_GET['display_name']]))
		$user_id = $userToId[$_GET['display_name']]['id'];
	if(!isset($userToId[$_GET['display_name']]))
		die("<error>Unknown display name</error>");
	if($user_id !== Null and isset($users[$user_id]))
		$userData = $users[$user_id];
}
else
{
$user_id = $_GET['user_id'];
if(isset($users[$_GET['user_id']]))
	$userData = $users[$user_id];
}

//Read declarations into memory
$declarationFiles = glob("declarations/*.xml");
$declarations = array();
foreach($declarationFiles as $d)
{
	$xml = new SimpleXMLElement(file_get_contents($d));
	$expl = explode("/",$d);
	$declareId = substr($expl[1],0,strlen($expl[1])-4);
	$declarations[$declareId] = $xml;
}
//print_r($declarations);



//Display user's additional licenses
$myDeclarations = array();
if(isset($userData['declarations'])) $myDeclarations = $userData['declarations'];

?>
<user id="<?php echo $user_id; ?>">
<?php
foreach($myDeclarations as $d)
{
$decl = $declarations[$d['license']];
echo "<declaration id='".$d['license']."' ";
foreach($decl->attributes() as $k => $v)
	echo $k.'="'.$v.'" ';
echo ">";
echo '<name>'.$decl->name."</name>";
echo "<acceptTime>".$d['time']."</acceptTime>";


echo "</declaration>\n";
}
?>
</user>
